Subject: bug#24439: closed (Re: bug#24439: ispell.el; cutom setting `ispell-library-directory'; patch)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Oct 2016 12:19:02 +0000

Your bug report

#24439: ispell.el; cutom setting `ispell-library-directory'; patch

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24439: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24439
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24439: ispell.el; cutom setting `ispell-library-directory'; patch
From: Eli Zaretskii <[email-masked]>
To: Agustin Martin <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 08 Oct 2016 15:18:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Agustin Martin <[email-masked]>
> Date: Sat, 8 Oct 2016 13:30:50 +0200
> Cc: Laimonas Vėbra <[email-masked]>
> 
> Hi, Eli
> 
> I had a look at your patch and it looks really fine, thanks for caring about this.

(It's not my patch, it was written by Laimonas.)

> I have also run some tests with it, and seems to work very well regarding dictionary selection. Did not check
> actual spellchecking (Checked with an old 24.4.1 where at least a function is not available, but could at least
> check that lists of available dictionaries)

Thanks for the review.  I pushed this to the master branch (in
Laimonas's name), and I'm marking this bug done.

Subject: ispell.el; cutom setting `ispell-library-directory'; patch
From: Laimonas Vėbra <[email-masked]>
To: [email-masked]
Date: Wed, 14 Sep 2016 23:02:03 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Windows if one uses cygwin ispell, then one should fix ispell LIBDIR 
(which is not correct absolute path) relative to cygwin root by setting 
`ispell-library-directory'. Or one also might wish to use custom 
location of dictionaries.
Currently ispell.el breaks this possibiliity, because it resets
`ispell-library-directory' to possibly incorrect or unwanted ispell 
LIBDIR on every ispell call. Suggested patch attached.

I'm not sure if it doesn't break something (that's why i'm asking in 
patch comments), but AFAICS it shouldn't.
Could someone familiar with ispell.el overview and comment on this tiny 
patch?
--- ispell.el.orig	2015-04-02 10:23:06.000000000 +0300
+++ ispell.el	2016-09-14 22:36:58.446548500 +0300
@@ -3044,7 +3044,17 @@
 	       ispell-program-name
 	       (or ispell-local-dictionary ispell-dictionary "default"))
       (sit-for 0)
-      (setq ispell-library-directory (ispell-check-version)
+      (setq
+        ;; Why do we need to update `ispell-library-directory' on every 
+        ;; ispell process launch? If we do not change `ispell-program-name', 
+        ;; then `ispell-library-directory' should also not be changed once 
+        ;; it is set/initialized in `ispell-set-spellchecker-params'.
+        ;; Besides, this breaks custom setting `ispell-library-directory' 
+        ;; (e.g. cygwin ispell with LIBDIR relative to cygwin root, that 
+        ;; should be fixed; custom location of dictionaries), because it 
+        ;; resets `ispell-library-directory' to (possibly incorrect, 
+        ;; unwanted) ispell LIBDIR on every ispell call.
+        ;; ispell-library-directory (ispell-check-version) 
 	    ispell-process (ispell-start-process)
 	    ispell-filter nil
 	    ispell-filter-continue nil